# Payroll Payments

Group: Accounting

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/accountingPayrollPayments)

A payroll payment is an outbound payment that pays one or more payroll details.

Each application ties part of the payment to one payroll detail and one payee. A payment can't overpay a payroll detail, for one payee or in total.

A payroll payment is also an outbound payment, with the same id.

## Endpoints

- [List payroll payments](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/payrollPayments.html): `GET /accounting/payroll-payments`
- [Create a payroll payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createPayrollPayment.html): `POST /accounting/payroll-payments`
- [Search payroll payments](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchPayrollPayment.html): `POST /accounting/payroll-payments/search`
- [Retrieve a payroll payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getPayrollPayment.html): `GET /accounting/payroll-payments/{id}`
- [Update a payroll payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updatePayrollPayment.html): `PATCH /accounting/payroll-payments/{id}`
- [Delete a payroll payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/deletePayrollPayment.html): `DELETE /accounting/payroll-payments/{id}`
